import { createRouter, createWebHashHistory } from 'vue-router'
const routes = [
    {
        path: '/',
        name: 'homePage',
        meta: {
            title: '首页',
        },
        component: () =>
            import(
                '../views/homePage.vue'
            ),
        children:[
            {
                path: '/',
                name: 'assessment',
                meta: {
                    title: '考评业务',
                },
                component: () =>
                    import(
                        '../components/assessmentPage.vue'
                    ),
                children: [
                    {
                        path: '/assessment/home',
                        name: 'homePage',
                        meta: {
                            title: '首页',
                        },
                        component: () =>
                            import(
                                '../components/gatewayPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/benchmark',
                        name: 'benchmark',
                        meta: {
                            title: '对标业务',
                        },
                        component: () =>
                            import(
                                '../components/benchmarkingPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/knowledge',
                        name: 'knowledge',
                        meta: {
                            title: '知识库',
                        },
                        component: () =>
                            import(
                                '../components/knowledgePage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationSystem/evaluationIndexPage',
                        name: 'evaluationSystem',
                        meta: {
                            title: '考评指标管理',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/evaluationIndexPage.vue'
                            ),
                    },
                ]
            }
        ]
    },
]

const router = createRouter({
    history: createWebHashHistory(''),
    // history: '',
    routes,
})

export default router